#ifndef _FLOATBUFFER_HPP_
#define _FLOATBUFFER_HPP_

#include "externs.hpp"
#include "vertexbuffer.hpp"

class Floatbuffer
{
public:
    Floatbuffer(); 
    ~Floatbuffer(); 

    void start();
    void finalize();
    float *getData() { return this->values; };
    void add(float v);


private:

    Lista2 *list;
    int count;
    float *values;
};

#endif